/* Lampeggio LED su PA4 su un mc68hc908qt4
 * Compilato con SDCC
 */

// Carica le definizioni dei nomi dei registri del processore
#include <hc08/mc68hc908qy.h>

// Se non ci sono variabili globali, il compilatore genera codice d'avvio scorretto
unsigned char i = 0, j = 0, k = 0;

void main ()
{
  PTA = 0xff;   // PTA ad 1 meno PTA4 (LED)
  DDRA = 0x10;  // PTA4 in output
  PTAPUE = 0;   // Disabilita il Pull-Up del port B
  /* Configurazione standard del processore */
  CONFIG1 = 0x31;
  CONFIG2 = 0;
  for (;;) {
    // Loop annidati di ritardo
    for (i = 0; i < 4; i++) {
      for (j = 0; j < 255; j++) {
        for (k = 0; k < 255; k++) {
        }
      }
    }
    PTA ^= 0x10;  // Inverte il bit del LED (PTA4)
  }
}
